import { Component } from '@angular/core';  
import * as Parse from 'parse';

  
@Component({  
  selector: 'app-tab2',  
  templateUrl: './tab2.page.html',  
  styleUrls: ['./tab2.page.scss'],  
})  
export class Tab2Page {  
  selectedSegment: string = 'invitations';  
  async generateTestData() {
    const currentUser = Parse.User.current();
    if (!currentUser) {
      console.error('No user logged in. Please log in to create test data.');
      return;
    }
  
    const fixedImageUrl = 'assets/images/kobe.jpg';
    const randomNews = [
      "是什么让“牢大”科比，成了中文互联网最热门的流量密码?\n本文首发于微信公众号“BB姬”（bibiji300）真新镇小茂｜文 2015年，网络游戏主播李赣组织孙笑川等人，成...",
      "汪汪：姜萍事件很快就会有结果，做点分析预测\n阿里达摩院在6.21发布了决赛通知，确认姜萍参赛。今天是6.24，姜萍考试结束，我觉得我可以写点东西了。前..."
    ];
  
    for (let i = 0; i < 3; i++) {
      const Post240709 = Parse.Object.extend('Post240709');
      const post = new Post240709();
  
      post.set('author', {username:currentUser.getUsername(),avatarUrl:'https://pics0.baidu.com/feed/2cf5e0fe9925bc31187a4ea7cc89c7bfcb13704a.jpeg'});
      post.set('content', randomNews[Math.floor(Math.random() * randomNews.length)]);
      post.set('image', fixedImageUrl);
      post.set('title', `测试帖子${i + 1}`);
      post.set('likes', Math.floor(Math.random() * 1000)); // 随机生成 0-999 的赞同数
  
      try {
        await post.save();
        console.log(`Test post ${i + 1} created successfully.`);
      } catch (error) {
        console.error('Error while creating test post:', error);
      }
    }
  }
  invitationMessages = [  
    { inviter: { username: 'Alice' }, question: 'How to use Ionic v7?', time: new Date() },  
    // 更多邀请消息...  
  ];  
  
  systemMessages = [  
    { source: '系统', content: '您的新回答已被采纳！', time: new Date(new Date().getTime() - 3600000) },  
    // 更多系统消息...  
  ];  
  
  privateMessages = [  
    { user: { username: 'Bob' }, content: 'Hello, how are you?', time: new Date() },  
    // 更多私信...  
  ];  
  
  segmentChanged(event: CustomEvent) {  
    this.selectedSegment = event.detail.value;  
    this.generateTestData();
  }  
}